<ion-header class="siderbar default">
    <ion-toolbar>
        <ion-buttons start>
            <button menuToggle ion-button icon-only>
                <img src="assets/icon/svg/SideBarButton.svg">
            </button>
        </ion-buttons>
        <ion-title>Yêu thích</ion-title>
        <ion-buttons end>
            <button ion-button icon-only>
                <img src="assets/icon/svg/locationicon.svg">
            </button>
        </ion-buttons>
    </ion-toolbar>
    <div class="group-header">
        <button class="button-back" ion-button icon-only clear>
            <ion-icon ios="ios-arrow-dropleft" md="ios-arrow-dropleft"></ion-icon>
        </button>
        <div class="group-search full-width">
            <button ion-button icon-only clear>
                <img src="assets/icon/svg/Searchicon.png">
            </button>
            <ion-input type="text" value="" placeholder="Search something..."></ion-input>
        </div>
    </div>
    <div class="group-button-filter">
        <div class="left">
            <button ion-button round [ngClass]="{'activate': activeTab === 'dish'}" (click)="switchTab('dish')">Món ăn</button>
        </div>
        <div class="right">
            <button ion-button round [ngClass]="{'activate': activeTab === 'restaurant'}" (click)="switchTab('restaurant')">Nhà hàng</button>
        </div>
    </div>
</ion-header>
<ion-content padding>
    <div *ngIf="activeTab === 'dish'">
        <p class="title">Món ăn yêu thích: </p>
        <ion-list *ngFor="let itemFood of favoriteFoods">
            <ion-item-sliding>
                <ion-item (click)="goProduction(itemFood)">
                    <div class="left" [style.backgroundImage]="itemFood.itemimg_url"></div>
                    <div class="right">
                        <p class="name">{{itemFood.itemname}}</p>
                        <p class="price">{{itemFood.itemprice| number}} {{itemFood.currency}}</p>
                    </div>
                </ion-item>
                <ion-item-options side="right">
                    <button ion-button color="danger" (click)="delete()"><i class="fa fa-times-circle"></i></button>
                </ion-item-options>
            </ion-item-sliding>
        </ion-list>
    </div>
    <div *ngIf="activeTab === 'restaurant'">
        <restaurant-list-item
            *ngFor="let itemRes of favoriteRestaurants"
            [info]="itemRes"
            (onDetailClicked)="goDetailRestaurant(itemRes)"
            (onLocationClicked)="goLocation()"
        ></restaurant-list-item>
    </div>
</ion-content>
